Option Strict On
Option Explicit On 

Namespace Edanmo.Net.Mail

    Public Enum ContentDisposition
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Prevents the Content-Disposition header to be added to the message.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        None
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' The file will be shown as an attachment.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Attachment
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' The file will be shown inside the message.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Inline
    End Enum

    Public Enum MailFormat
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Message body is plain text format.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Plaintext
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Message body is HTML.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Html
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Message format is specified by the Content-Type header.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Other
    End Enum

    Public Enum MailPriority
        Normal
        Low
        High
    End Enum

    Public Enum MailSendMode
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' The mail is sent directly to its domain mail exchanger server.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        ToMailExchanger
        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' The mail is sent to a smtp relay server.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        ToSmtpRelay
    End Enum

End Namespace