Option Strict On
Option Explicit On 

Imports System

Namespace Edanmo.Net.Mail

    Public NotInheritable Class MailRecipient

        Private _displayName As String
        Private _email As String

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Initializes a new instance with a display name and mail address.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Sub New(ByVal displayName As String, ByVal mail As String)

            _displayName = displayName
            Me.MailAddress = mail

        End Sub

        Public Overrides Function ToString() As String
            Return """" & _displayName & """ <" & _email & ">"
        End Function

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Gets or sets the display name.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public Property DisplayName() As String
            Get
                Return _displayName
            End Get
            Set(ByVal Value As String)
                _displayName = Value
            End Set
        End Property

        ''' -----------------------------------------------------------------------------
        ''' <summary>
        ''' Gets or sets the mail address.
        ''' </summary>
        ''' -----------------------------------------------------------------------------
        Public Property MailAddress() As String
            Get
                Return _email
            End Get
            Set(ByVal value As String)

                If Not SmtpMail.CheckMailFormat(value) Then Throw New FormatException(ResourceHelper.GetString("MailFormatException"))

                _email = value

            End Set
        End Property

    End Class

End Namespace
