Option Explicit On 
Option Strict On

Imports System
Imports System.Collections

Namespace Edanmo.Net.Mail

    Public NotInheritable Class MailRecipientCollection
        Inherits ReadOnlyCollectionBase

        Public Overrides Function ToString() As String

            Dim recps As New Text.StringBuilder

            For i As Integer = 0 To Count - 1
                recps.Append(Item(i).ToString)
                If i < Count - 1 Then recps.Append(", ")
            Next

            Return recps.ToString

        End Function

        Public Sub Add(ByVal recipient As MailRecipient)
            innerlist.Add(recipient)
        End Sub

        Public Sub Add(ByVal mail As String)
            innerlist.Add(New MailRecipient(mail, mail))
        End Sub

        Friend Sub Add(ByVal recipients As MailRecipientCollection)
            Me.InnerList.AddRange(recipients)
        End Sub

        Public Sub AddRange(ByVal recipient() As MailRecipient)
            innerlist.AddRange(recipient)
        End Sub

        Public Sub CopyTo(ByVal array() As MailRecipient, ByVal index As Integer)
            InnerList.CopyTo(array, index)
        End Sub

        Public Sub Remove(ByVal index As Integer)
            innerlist.Remove(index)
        End Sub

        Default Public Property Item(ByVal index As Integer) As MailRecipient
            Get
                Return DirectCast(innerlist(index), MailRecipient)
            End Get
            Set(ByVal value As MailRecipient)
                innerlist(index) = value
            End Set
        End Property

        Public Sub Clear()
            Me.InnerList.Clear()
        End Sub

    End Class

End Namespace
